<%@ include file="header.jsp" %>

<%@ page import="agilpizza.modelo.*"%>
<%@ page import="agilpizza.Constantes"%>
<%@ page import="java.util.Map"%>
<jsp:useBean id="bebidasDao" scope="application" class="agilpizza.dao.BebidasDAO" />

	<%
	Pedido pedido = (Pedido) session.getAttribute(Constantes.PEDIDO);
	if (pedido == null) {
		pedido = new Pedido();
		session.setAttribute(Constantes.PEDIDO, pedido);
	}
	
	Map<Bebida, Integer> quantidadeDasBebidas = pedido.getBebidas();
	%>
	<p>Escolha as bebidas do seu pedido:</p>
	<form action="escolheBebidas" method="POST">
	<table>
	<%
	for(CategoriaBebida categoria: bebidasDao.buscaCategoriaBebidas()) {
	%>

	<thead>
		<tr><td colspan="2"><b><%= categoria.getNome() %></b></td></tr>
	</thead>
	<tbody>
	<%
		for(Bebida bebida: categoria.getBebidas()) {
			Integer quantidade = quantidadeDasBebidas.get(bebida);
			if (quantidade == null)
				quantidade = 0;
	%>
		<tr>
			<td><%= bebida.getNome() %></td>
			<td>
				<input type="text" name="<%= bebida.getId() %>" value="<%= quantidade.toString() %>" size="2"/>
			</td>
		</tr>
	<%
		}
	%>
	</tbody>
	<%
	}
	%>
	</table>
	<input type="submit" value="Incluir"/>
	</form>
	
<%@include file="footer.jsp" %>